boost::hana::has_common< T, U, typename > Struct Template Reference
Core

## Description

### template<typename T, typename U, typename>
struct boost::hana::has_common< T, U, typename >

Metafunction returning whether two data types share a common data type.

Given two data types `T` and `U`, this metafunction simply returns whether `common<T, U>::type` is well-formed.

## Example

// Copyright Louis Dionne 2013-2017
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)
#include <boost/hana/core/common.hpp>
namespace hana = boost::hana;
static_assert(hana::has_common<int, float>{}, "");
static_assert(!hana::has_common<void, float>{}, "");
int main() { }

Inherits false_type.